Since the Vaultwarden admin page is separate from the official Bitwarden self-hosted [System Administrator Portal](https://bitwarden.com/help/system-administrator-portal/), it is currently only available in English and not possible to provide multiple languages for different users on the same server. 

If you or your admin don't understand English, or you prefer to have it display your preferred language, you can translate the admin page into your preferred language.

## How to translate / customize the admin page?

You can use customized templates by

1. copying the respective files from the repository (from `src/static/templates/admin`) to the corresponding `TEMPLATES_FOLDER` with the same folder structure (e.g. to `data/templates/admin`)
2. changing them (e.g. translate them - but be sure to keep the {{variables}} in the link intact so everything still works) and
3. restarting vaultwarden to load the new (overwritten) templates.

**Note:** For ensuring compatibility you should initially download the templates for your version and you will also have to keep them up to date yourself if they ever change (or should new templates get added).

## Translations

* Simplified Chinese by @wcjxixi: https://github.com/wcjxixi/vaultwarden-lang-zhcn
* Simplified Chinese by @zituoguan: https://github.com/zituoguan/vaultwarden-lang-zh_CN
* Simplified Chinese by @JinkaiNiu: https://github.com/JinkaiNiu/vaultwarden-zh-cn
* Russian by @marat2509: https://github.com/marat2509/vaultwarden-lang-ru

> [!WARNING]
> Translations are provided as is by community members and we have not tested them. So use them at your own risk. If there has been a breaking change (e.g. caused by a new release of Vaultwarden) inform the maintainer and/or make a note here.